# dfwild.i - Definitions for wildcard processing in file names
# Written MJH, 10-Sep-88: Copyright (C) 1988 by Michael J. Harrison
# M.J.Harrison 04/12/1998: Linux

ifdef MSFORT4
define L_FDTA 43	# Length of DTA
define I_ATTR 22	# Indexes of:	attribute byte
define I_TIME 23	#		packed time (INTEGER*2)
define I_DATE 25	#		packed date (INTEGER*2)
define I_FSIZ 27	#		size in bytes (INTEGER*4)
define I_FNAM 31	#		matching file name (char(13))
endif
ifdef UNIX
define L_FDTA 4		# Length of DTA (just a pointer)
define I_FNAM 31	# Index of matching file name (char(256))
endif

define ATT_RO 1				# Read-only
define ATT_HI 2				# Hidden
define ATT_SY 4				# System
define ATT_VL 8				# Volume Label
define ATT_SD 16			# Sub-directory
define ATT_AR 32			# Archive
define ATT_NOR 0			# Normal
define ATT_ALL (ATT_HI + ATT_SY + ATT_SD) # All but vol label
