# DMETAC - definitions of non-alphanumeric ASCIIs as integers (metacharacters)
# Copyright (C) 1988 by Michael J. Harrison
# Written MJH,	1-Jun-86: From dctrl.i and dstd.i
# Revised MJH, 16-Apr-88: New define syntax

define NUL 0
define BEL 7
define BS 8
define HT 9
define LF 10
define VT 11
define FF 12
define CR 13
define ESC 27
define CTLMAX 31

define BLANK 32
define EXCL 33
define DQUOTE 34
define SHARP 35
define DOLLAR 36
define PERCENT 37
define AMPERSAND 38
define SQUOTE 39
define LPAREN 40
define RPAREN 41
define STAR 42
define PLUS 43
define COMMA 44
define MINUS 45
define PERIOD 46
define SLASH 47
define COLON 58
define SEMICOL 59
define LESS 60
define EQUALS 61
define GREATER 62
define QMARK 63
define ATSIGN 64
define LBRACK 91
define BACKSL 92
define RBRACK 93
define CIRCUMFLEX 94
define ULINE 95
define LBRACE 123
define VBAR 124
define RBRACE 125
define TILDE 126
