#  DSTD - standard definitions:
#	Linux, f2c
#  Copyright (C) 1982-1998 by Michael J. Harrison
#  Written MJH, 1980
#  Revised MJH, 11-Jun-86: For CHARACTER version.  Drastically shortened.
#  Revised MJH,  1-Dec-86: MS-FORTRAN metacommands included (rather than
#			   generating $INCLUDE of RATMETA.FIN)
#  Revised MJH,  8-Jan-87: Change boolfunc to logfunc
#  Revised MJH, 14-Mar-87: Support Microsoft FORTRAN 4.00
#  Revised MJH, 22-Jul-87: Support Microsoft FORTRAN 4.01
#  Revised MJH, 16-Apr-88: New define syntax
#  Revised MJH,  8-Sep-88: Change character from CHARACTER to INTEGER*1
#  M.J.Harrison  3-Apr-98: For Linux
#  M.J.Harrison 21-May-99: Resolve name clashes with g77 intrinsics

define EOS 0		# end-of-string flag (was ''C for CHARACTER)
define ESCFLAG 92	# 'escape' flag - next char has special meaning

define EOF (-1) 	# End-of-file flag (integer)
define NEWLINE 10	# NEWLINE as metacharacter (integer)

define YES .TRUE.
define NO .FALSE.

define ARB 9999		# for formal argument array dimension

define DIGIT 48 	# = ICHAR('0'): char type is digit
define ALPHA 97 	# = ICHAR('a'): char type is alphabetic

define character INTEGER*1	# Added for INTEGER*1
define charfunc character	# Changed from CHARACTER
define compfunc COMPLEX
define intfunc INTEGER
define logfunc LOGICAL
define realfunc REAL
define subrtn EXTERNAL	# for "declaration" of external subroutines

# g77 renames
define rename rfrename
define isatty rfisatty
