#-----------------------------------------------------------------------
#
#   dstdio - Definitions needed to use Ratfor file access   **MS-DOS**
#
#   Notes:
#	(1) getch returns INTEGER value, putch requires one
#	(2) EOF is defined in dstd.i (as integer)
#	(3) Don't try and make DOSEOF a character: it has a
#	    disturbing habit then of appearing in files
#	    and causing havoc by prematurely ending them!
#	(4) You can always read and write any file (except that it
#	    must exist to be read, of course).	The opening mode
#	    controls whether the file is expected to exist and
#	    whether one should be created if it does not.
#	(5) O_TEXT is the default by virtue of being zero.
#
#   Written MJH,  8-Jun-86: Extracted from dstd and elsewhere
#   Revised MJH, 16-Apr-88: New define syntax
#
#-------------- Copyright (C) 1986 by Michael J. Harrison --------------

define O_RDONLY 0	# open to read (must exist)
define O_WRONLY 1	# open to write (creates/overwites)
define O_RDWR 2		# open to read and write (need not exist)
define O_TEXT 0		# text (CR/LF <--> NEWLINE): default
define O_BINARY 4	# binary (CR/LF untranslated)

define INPUT O_RDONLY 	# Synonyms for above
define OUTPUT O_WRONLY
define INOUT O_RDWR
define TEXTMODE O_TEXT
define BINMODE O_BINARY

define DOSEOF 26	# CTRL-Z, MS-DOS EOF marker for text files
