# brknxt - generate code for 'break' and 'next'
#
# Copyright (c) 1987 by Michael J. Harrison

include dstd
include drmax
include dlex

subroutine brknxt(sp, lextyp, labval, token)
integer sp, lextyp(MAXSTACK), labval(MAXSTACK), token

    integer i

    i = sp
    while (i > 0) {
	if (lextyp(i) == LEXDO | lextyp(i) == LEXFOR |
	    lextyp(i) == LEXREPEAT | lextyp(i) == LEXWHILE) {
	    if (token == LEXBREAK)
		call outgo(labval(i) + 1)
	    else
		call outgo(labval(i))
	    break
	    }
	i = i - 1
	}
    if (i <= 0) {
	if (token == LEXBREAK)
	    call synerr("Illegal 'break'.")
	else
	    call synerr("Illegal 'next'.")
	}

    return
    end
