#-----------------------------------------------------------------------
#
#  cnvesc - replace \n etc. or \ddd just like C
#
#  Notes:   For ASCII character set
#
#  Written MJH, 31-May-86
#  Revised MJH,  9-Sep-88: For INTEGER*1 chars
#  Revised MJH,  3-Jan-91: Use CHARMASK
#  M.J.Harrison 10-Apr-98: Linux
#
#-------------- Copyright (C) 1986 by Michael J. Harrison --------------

include dstd
include drmax
include drmeta

character function cnvesc(str, i)
character str(ARB)		# Input string
integer i			# Points at initial \
				# Returned pointing at last char we used

intfunc strchr

    character c, oc, oval, ichar0, eight
    integer j, k
    character icons(8)
    string cons "\"ntbrf\'\\"	# \"      \n  \t  \b  \r  \f  \'      \\
    data icons			 /DQUOTE, LF, HT, BS, CR, FF, SQUOTE, BACKSL/
    data ichar0/48/
    data eight/8/

    # Point at char following \
    # Look for a special char (in the string "cons"), or an octal number < 128
    j = i + 1
    c = str(j)
    k = strchr(cons, c)
    if (k > 0)			    # \n --> LF. etc.
	cnvesc = icons(k)
    else {			    # look for and convert octal number
	oval = 0
	oc = c - ichar0
	while (oval < 16 & oc >= 0 & oc < 8) {
	    oval = oc + eight * oval
	    j = j + 1
	    oc = str(j) - ichar0
	    }
	# If we failed to find a number, swallow the \ and return next char
	# Otherwise, return the number's character equivalent
	if (j == i + 1)
	    cnvesc = c
	else {
	    cnvesc = oval
	    j = j - 1	    # overshot by 1
	    }
	}
    i = j

    return
    end # of cnvesc
