# dlex -- definitions of lexical type codes
#
# Copyright (c) 1988 by Michael J. Harrison
#
# Revised MJH, 24-May-86: Adapt to real CHARACTER variables
# Revised MJH, 14-Jun-86: Add ifdef, ifndef, endif, undef
# Revised MJH, 16-Apr-88: New define syntax

define LEXBREAK (-8)
define LEXDEFINE (-9)
define LEXDIGITS (-10)
define LEXDO (-11)
define LEXELSE (-12)
define LEXFOR (-13)
define LEXIF (-14)
define LEXINCLUDE (-15)
define LEXNEXT (-16)
define LEXOTHER (-17)
define LEXREPEAT (-18)
define LEXSTRING (-19)
define LEXUNTIL (-20)
define LEXWHILE (-21)
define LEXPARAM (-22)
define LEXENDIF (-23)
define LEXIFDEF (-24)
define LEXIFNDEF (-25)
define LEXUNDEF (-26)

# For: define, endif, ifdef, ifndef, include, string, undef
define LEXNONEXEC (-63)

define LEXNULL SEMICOL
define LEXLBRACE LBRACE
define LEXRBRACE RBRACE
