# labpk - routines for handling labels: labelc, labgen
#
# Copyright (c) 1988 by Michael J. Harrison
#
# Revised MJH, 16-Apr-88: Replace parameter statement by define

include dstd
include drmax

#----------------------------------------------------------------------
# labelc - output statement number
#----------------------------------------------------------------------

subroutine labelc(lexstr)
character lexstr(ARB)

define RFLABK (MINLAB / 1000)	# Our labels, in thousands

intfunc*4 ctoi

    integer i

    i = 1
    if ((ctoi(lexstr, i) / 1000) == RFLABK)	# Warn about 23xxx labels
	call synerr("Warning: possible label conflict.")
    call outstr(lexstr)
    call outtab

    return
    end

#----------------------------------------------------------------------
# labgen - generate n consecutive labels, return first one
#----------------------------------------------------------------------

integer function labgen(n)
integer n

    integer label, labone
    data labone /MINLAB/

    if (n == 0) 	# initializing call
	label = labone
    labgen = label
    label =label + n

    return
    end
