# unstak - unstack at end of statement
#
# Copyright (c) 1987 by Michael J. Harrison
#
# Revised MJH,	8-Apr-87: Output FORTRAN-77 block IF for Ratfor if

include dstd
include drmax
include drmeta		# for LBRACE
include dlex

subroutine unstak(sp, lextyp, labval, lextok)
integer labval(MAXSTACK), lextyp(MAXSTACK), sp, lextok

    while (sp > 1) {
	if (lextyp(sp) == LEXINCLUDE | lextyp(sp) == LBRACE)
	    break
	if (lextyp(sp) == LEXIF & lextok == LEXELSE)
	    break
	if (lextyp(sp) == LEXREPEAT & lextok == LEXUNTIL)
	    break
	if (lextyp(sp) == LEXIF)
	    call ifend
	else if (lextyp(sp) == LEXELSE) {
	    if (sp > 2)
		sp = sp - 1
	    call ifend
	    }
	else if (lextyp(sp) == LEXDO)
	    call dostat(labval(sp))
	else if (lextyp(sp) == LEXWHILE)
	    call whiles(labval(sp))
	else if (lextyp(sp) == LEXREPEAT)
	    call repts(labval(sp))
	else if (lextyp(sp) == LEXFOR)
	    call forsta(labval(sp))
	sp = sp - 1
	}

    return
    end
