# cidate - convert integer date (yymmdd) to dd-mmm-yy
#
# Copyright (c) 1987 by Michael J. Harrison

include dstd

subroutine cidate(idate, cdate)
integer*4 idate
character cdate(ARB)

intfunc itoc

    integer*4 d, m, y
    integer i, j, k
    string months "JanFebMarAprMayJunJulAugSepOctNovDec"

    d = idate/100
    m = d/100
    d = idate - 100*d
    y = idate/100
    m = y - 100*m
    y = y/100
    i = 1
    if (d < 10) 		# insert leading zero if necessary
	{
	cdate(i) = ICHAR('0')
	i = i + 1
	}
    i = i + itoc(d, cdate(i), 3)    # convert day to dd
    cdate(i) = ICHAR('-')
    i = i + 1
    k = 3*(m - 1)
    for (j = 1; j <= 3; j = j + 1)  # move month name to cdate
	{
	cdate(i) = months(k+j)
	i = i + 1
	}
    cdate(i) = ICHAR('-')
    i = i + 1
    if (y < 10) 		# insert leading zero if necessary
	{
	cdate(i) = ICHAR('0')
	i = i + 1
	}
    i = i + itoc(y, cdate(i), 3)    # convert year to yy

    return
    end
