# strchr - Find first occurrence of character in string
#
# Written MJH	14-Jan-87: Copyright (C) 1987 by Michael J. Harrison

include dstd

integer function strchr(str, c)
character str(ARB)
character c
#
# Returns: Index of first occurrence of c (1 <= i <= strlen(str) + 1)
#	   0 if c not present in str
#
# Notes:   c may be EOS, in which case the return value is strlen(str) + 1

intfunc strlen

    integer i, len

    len = strlen(str) + 1
    for (i = 1; i <= len & str(i) ^= c; i = i + 1)
	;
    if (i > len)	# terminated past EOS
	strchr = 0
    else		# terminated at match
	strchr = i

    return
    end 	# of strchr
