# strcmp - Compare two strings lexicographically
#
# Written MJH	14-Jan-87: Copyright (C) 1987 by Michael J. Harrison

include dstd

integer function strcmp(str1, str2)
character str1(ARB)
character str2(ARB)
#
# Returns: 1 if str1 > str2
#	   0 if str1 = str2
#	  -1 if str1 < str2

    integer i

    for (i = 1; str1(i) == str2(i) & str1(i) ^= EOS; i = i + 1)
	;
    if (str1(i) < str2(i))	# Works because EOS is smallest character
	strcmp = -1
    else if (str1(i) > str2(i))
	strcmp = 1
    else
	strcmp = 0

    return
    end 	# of strcmp
