#-----------------------------------------------------------------------
#
#  touppr - Convert alphabetic character to upper case
#
#  Notes:   Method used here works only for character sets like ASCII
#	    in which the lower case and upper case characters sets
#	    are parallel and each case has contiguous codes.
#
#  Written MJH, 14-Jun-86:
#  Revised MJH,  8-Sep-88: Accommodate INTEGER*1 characters with ichar()
#  M.J.Harrison  3-Apr-98: Linux: character comparisons
#
#-------------- Copyright (C) 1986 by Michael J. Harrison --------------

include dstd

character function touppr(c)
character c

charfunc int2ch

    # Range check ensures safe even if sign extension

    if (c >= ICHAR('a') & c <= ICHAR('z'))
	touppr = int2ch(c - ICHAR('a') + ICHAR('A'))
    else
	touppr = c

    return
    end # of touppr
