# trn2uc - translate string in internal form to upper case
#
# Copyright (c) 1988 by Michael J. Harrison
#
# Revised MJH, 23-May-86: Adapt for true CHARACTER variables
# Revised MJH,  8-Sep-88: Accommodate INTEGER*1 characters with ichar()
# M.J.Harrison  3-Apr-98: Linux: character comparisons

include dstd

subroutine trn2uc(str)
character str(ARB)

charfunc int2ch

     integer i, ic, diff

     # Range check ensures safe even if sign extension

     diff = ICHAR('a') - ICHAR('A')
     for (i = 1; str(i) ^= EOS; i = i + 1) {
	  ic = str(i)
	  if (ic >= ICHAR('a') & ic <= ICHAR('z'))
	       str(i) = int2ch(ic - diff)
     }

     return
     end
