# type - determine type of character (accepts underscore as ALPHA)
#
# Copyright (c) 1988 by Michael J. Harrison
#
# Revised MJH, 26-May-86: Support true CHARACTER variables
# Revised MJH,  9-Sep-88: Mask int to 8 bits for INTEGER*1 chars
# M.J.Harrison  3-Apr-98: Linux: character comparisons

include dmach
include dstd

integer function type(c)
character c

    if (c >= ICHAR('a') & c <= ICHAR('z'))
	type = ALPHA
    else if (c >= ICHAR('A') & c <= ICHAR('Z'))
	type = ALPHA
    else if (c == ICHAR('_'))	# accept underscore as ALPHA
	type = ALPHA
    else if (c >= ICHAR('0') & c <= ICHAR('9'))
	type = DIGIT
    else {
	type = c
	type = IAND(type, BYTEMASK)	# Nullify any sign extension
    }

    return
    end
