#  DERRNO - Definitions of error codes from primitives	**MS-DOS**
#
#  Written MJH, 25-Jan-86: Based on C's errno and DPFERR.I
#  Revised MJH,  1-Jun-86: cerrno removed to its own include
#  Revised MJH, 16-Apr-88: New define syntax
#
#  Copyright (C) 1986 by Michael J. Harrison

# These are DOS values:

define RENOFILE 2		# File not found
define RENOPATH 3		# Path not found
define RENOHNDLS 4		# Too many open files (no handles left)
define REBADF 6			# Invalid file handle
define RENOMEM 8		# Not enough memory
define REINVDRV 15		# Invalid drive
define REINVMODE 22		# Invalid translation mode

# These are Ratfor values not defined by DOS

define REDSKFULL 101		# Disk full
