# clook - common area for instal/lookup
#
# Copyright (c) 1988 by Michael J. Harrison
#
#   Used by: instal, lookup, sparpt
# Revised MJH, 19-Jun-86: Increase table size
# Revised MJH, 16-Apr-88: New define syntax

# namptr holds 2-word entries: @name in table,@next cell in chain
# The total number of entries is MAXPTR/2

ifndef MAXPTR
define MAXPTR 802	    # size of pointer array for instal/lookup
define MAXTBL 4096	    # size of array to hold name strings
define HASHK 401	    # prime <= MAXPTR/2
endif

      integer free	    # last free slot in namptr; init = MAXPTR-1
      integer lastt	    # last used in table; init = 0
      integer pos	    # namptr posn after failed search
      integer namptr	    # name pointers, all init 0,?
    common /clook/ free, lastt, pos, namptr(MAXPTR)

      character table	    # actual text of names and defns
    common /clookc/ table(MAXTBL)
