# devali - definitions for integer arithmetic expression evaluator
#
# Copyright (c) 1988 by Michael J. Harrison
#
# Revised MJH, 16-Apr-88: New define syntax
# Revised MJH,  3-Jan-91: Merge dstax.i into here

define LPCODE 1		# These must agree with oper (in iterms)
define PLSCODE 2
define MINCODE 3
define MULCODE 4
define DIVCODE 5
define NEGCODE 6
define MAXAOP 6		# Max real operator (i.e. not ')' or NL)
define RPCODE 7
define NLCODE 8
			# Error codes ...
define OXERRC 1		#   operator expected
define UPERRC 2		#   unbalanced parentheses
define UVERRC 3		#   undefined operand (variable)
define VXERRC 4		#   operand (variable) expected
define ZDERRC 5		#   zero divide

# Definitions for self-defining stacks

define MAXDEPTH 10 
define MAXSPSUB 1
define SPSUB 2
define INITSP SPSUB
define STAKSZ (MAXDEPTH + SPSUB)
