# dopk - routines for 'do' statement: docode, dostat
#
# Copyright (c) 1987 by Michael J. Harrison

include dstd

#----------------------------------------------------------------------
# docode - generate code for start of 'do'
#----------------------------------------------------------------------
# Revised MJH,	2-Feb-86: Revert to standard Ratfor syntax (without parens)

subroutine docode(lab)
integer lab

intfunc labgen

    string dostr "DO"

    call outtab
    call outstr(dostr)
    lab = labgen(2)
    call outnum(lab)
    call eatup
    call outdon

    return
    end

#----------------------------------------------------------------------
# dostat - generate code for end of 'do'
#----------------------------------------------------------------------

subroutine dostat(lab)
integer lab

    call outcon(lab)
    call outcon(lab + 1)

    return
    end
