# finmsg -- output finish message to user's terminal
#
# Copyright (c) 1987 by Michael J. Harrison
#
# Revised MJH,	6-Jun-86: STDERR changed to STDOUT
# Revised MJH, 10-Jan-87: Switch to str... string functions
# M.J.Harrison 10-Apr-98: Linux

include dmach
include dstd
include drmeta

subroutine finmsg(infn, errtot)
character infn(ARB)
integer errtot

intfunc itoc, strcpy, strlen
intrinsic CHAR

    integer*4 i4
    integer i, junk
    character outlin(30)
    string errlin "syntax errors"

    i = 1
    while (infn(i) ^= FILSEP & infn(i) ^= EOS) {
	outlin(i) = infn(i)
	i = i + 1
	}
    outlin(i) = EOS
    if (errtot > 0) {
	if (i > 1) {
	    outlin(i) = COLON
	    outlin(i + 1) = BLANK
	    i = i + 2
	    }
	i4 = errtot
	i = i + itoc(i4, outlin(i), 4)
	outlin(i) = BLANK
	junk = strcpy(outlin(i+1), errlin)
	if (errtot == 1)
	    outlin(strlen(outlin)) = EOS
	}
    i = strlen(outlin)
    outlin(i + 1) = NEWLINE
    outlin(i + 2) = EOS
    call putlin(outlin, STDOUT)

    return
    end
