#-----------------------------------------------------------------------
#
#  flushs - flush rest of stmt, allowing continuations
#
#  Written MJH, 14-Jun-86: Adapted from eatup.r
#  Revised MJH, 10-Jan-87: Switch to str... string functions
#			   Switch to common ptkbuf array for peek ahead
#  Revised MJH, 20-Jul-87: Backed out fix for MS FORTRAN 4.00 bug
#  M.J.Harrison 10-Apr-98: Linux
#
#-------------- Copyright (C) 1986 by Michael J. Harrison --------------

include dstd
include drmeta
include drmax

integer function flushs(tokstr, toksiz)
integer toksiz
character tokstr(toksiz)

include cline
include ctoken
intfunc gettok

    integer nlpar, t

    nlpar = 0
    while (nlpar >= 0) {
	t = gettok(tokstr, toksiz)
	if (t == SEMICOL | t == NEWLINE)
	    break
	if (t == LBRACE | t == RBRACE) {
	    call pbstr(tokstr)
	    break
	    }
	if (t == EOF) {
	    call pbstr(tokstr)
	    break
	    }
	if ((t >= STAR & t <= COMMA) | t == AMPERSAND | t == EQUALS | t == VBAR) {
	    if (gettok(ptkbuf, MAXTOK) ^= NEWLINE)	# possible continuation
		call pbstr(ptkbuf)	# opNL == continuation
	    }
	else if (t == LPAREN)
	    nlpar = nlpar + 1
	else if (t == RPAREN)
	    nlpar = nlpar - 1
	}

    flushs = t
    return
    end 	# of flushs
