# lex - return lexical type of token for Ratfor
#
# Copyright (c) 1987 by Michael J. Harrison

include dstd
include dlex
include drmeta

integer function lex(lexstr, toksiz)
integer toksiz
character lexstr(toksiz)

intfunc gettok
logfunc alldig, seekw

    integer t

    t = gettok(lexstr, toksiz)
    while (t == NEWLINE)
	t = gettok(lexstr, toksiz)
    if (t == EOF)
	lex = EOF
    else if (t == SEMICOL | t == LBRACE | t == RBRACE)
	lex = t
    else if (alldig(lexstr))
	lex = LEXDIGITS
    else if (seekw(lexstr, t))
	lex = t
    else
	lex = LEXOTHER

    return
    end

