# parxst - detect and process start of executable Ratfor statement
#
# Copyright (c) 1987 by Michael J. Harrison
#
# Revised MJH,	8-Apr-87: Output FORTRAN-77 block IF for Ratfor if

include dstd
include drmeta
include dlex

logical function parxst(lextok, lexstr, lextyp, sp, lab)
integer lextok, lextyp(ARB), sp, lab
character lexstr(ARB)

    parxst = YES
    if (lextok == LEXIF)
	call ifcode
    else if (lextok == LEXELSE) {
	if (lextyp(sp) == LEXIF)
	    call elseif
	else {
	    call synerr("Illegal 'else'.")
	    lextok = LEXNULL	# replace illegal 'else' by null stmt
	    }
	}
    else if (lextok == LEXWHILE)
	call whilec(lab)
    else if (lextok == LEXFOR)
	call forcod(lab)
    else if (lextok == LEXREPEAT)
	call reptc(lab)
    else if (lextok == LEXDO)
	call docode(lab)
    else if (lextok == LEXDIGITS)
	call labelc(lexstr)
    else
	parxst = NO

    return
    end
