# synepk - Routines for reporting syntax errors: synerr, syner1
#
# Copyright (c) 1987 by Michael J. Harrison
#
# Revised MJH,	6-Jun-86: STDERR changed to STDOUT
# Revised MJH, 20-Jun-86: syner1 conditionally excluded (new line counting)
# M.J.Harrison 10-Apr-98: Linux

include dmach	    # for STDOUT
include dstd
include dmetac
include drmax

#----------------------------------------------------------------------
# synerr - report Ratfor syntax error
#----------------------------------------------------------------------

subroutine synerr(msg)
character msg(ARB)

intfunc itoc
include cdefio	    # for marking listing
include cline
include cerr

    integer*4 i4
    integer lnolen
    string msglin "Error, Line xxxxx: "
    # line no. at msglin(13) --^

    errtot = errtot + 1
    i4 = linect
    lnolen = itoc(i4, msglin(13), 5)
    msglin(lnolen + 13) = COLON
    msglin(lnolen + 14) = BLANK
    msglin(lnolen + 15) = EOS
    call putlin(msglin, STDOUT)
    call remark(msg)
    if (lsfid > 0)
	call putch(ATSIGN, lsfid)   # mark source list

    return
    end
