# alldig - return YES if str is all digits
#
# Copyright (c) 1987 by Michael J. Harrison
#
# Revised MJH,	3-Jun-86: Use type array
# Revised MJH, 11-Jun-86: Use direct comparison (so don't have type array)
# M.J.Harrison  3-Apr-98: Linux: character comparisons

include dstd

logical function alldig(str)
character str(ARB)

    integer i

    alldig = NO
    for (i = 1; str(i) >= ICHAR('0') & str(i) <= ICHAR('9'); i = i + 1)
	;   # terminates on EOS (if not before)
    if (str(i) == EOS & i > 1)
	alldig = YES

    return
    end # of alldig
