# cant - write "Can not open file" message. **MS-DOS**
#
# Copyright (c) 1988 by Michael J. Harrison
#
# Revised MJH,	6-Jun-86: Output destination changed from STDERR
# Revised MJH, 11-Jan-87: Use new str... functions
# Revised MJH, 11-Sep-88: Make message more informative, get code from errno
# Mike Harrison 10/15/2006: For f95, "use" errcod to avoid warning message
#			    from the compiler

include dstd
include dmach	    # for STDOUT

subroutine cant(errcod, fname)
integer errcod		# Now always -1, not used
character fname(ARB)

include cerrno

    string intro1 "Can not find file ", intro2 "Can not open file ",
	   reasn3 " - directory does not exist",
	   reasn4 " - too many open files",
	   reasn5 " - access denied",
	   reasnC " - invalid access"

    if (errno == 2)
	call putlin(intro1, STDOUT)
    else
	call putlin(intro2, STDOUT)
    call putlin(fname, STDOUT)
    if (errno != 2) {
	if (errno == 3)
	    call putlin(reasn3, STDOUT)
	else if (errno == 4)
	    call putlin(reasn4, STDOUT)
	else if (errno == 5)
	    call putlin(reasn5, STDOUT)
	else if (errno == 12)
	    call putlin(reasnC, STDOUT)
	else if (errcod == 0)		# "Use" errcod
	    ;				# but do nothing
    }
    call putch(NEWLINE, STDOUT)

    return
    end 	# of cant
