# carg - common area for command line argument processing
#   Used by: getarg, prmarg, BLOCK DATA
#
# Copyright (c) 1988 by Michael J. Harrison
#
# Revised MJH, 17-Apr-88: New define syntax
# M.J.Harrison 09/30/1998: Linux: Use a bigger buffer

ifndef ARGBSIZE
ifdef MSFORT4
define ARGBSIZE 128	# getarg's buffer size
endif
ifdef UNIX
define ARGBSIZE 2048	# Linux can use a bigger one
endif
endif

  logical reread	# init = YES to activate initga
  integer bufp		# next start for getarg scan
common /carg/ reread, bufp

  character buffer	# holds argument string
common /cargc/ buffer(ARGBSIZE)
