# citime - convert integer time (hhmmss) to hh:mm:ss
#
# Copyright (c) 1987 by Michael J. Harrison

include dstd

subroutine citime(itime, citim)
integer*4 itime
character citim(ARB)

intfunc itoc

    integer*4 tishft
    integer i, junk
    character convst(7)

    i = 1			# fill in leading zeros
    for (tishft = itime; tishft < 100000; tishft = tishft*10)
	{
	convst(i) = ICHAR('0')
	i = i + 1
	if (i > 5)
	    break		# for 00:00:00
	}
    junk = itoc(itime, convst(i), 8-i)	# convert to chars
    citim(1) = convst(1)		# laboriously move chars to citime
    citim(2) = convst(2)
    citim(3) = ICHAR(':')
    citim(4) = convst(3)
    citim(5) = convst(4)
    citim(6) = ICHAR(':')
    citim(7) = convst(5)
    citim(8) = convst(6)
    citim(9) = EOS

    return
    end
