# ctoi -- convert string at in(i) to integer, increment i
#
# Copyright (c) 1988 by Michael J. Harrison
#
# Revised MJH,	11-Dec-85: Make capable of handling long integers
# Revised MJH, 11-Jan-87: Use new str... functions
# M.J.Harrison  3-Apr-98: Linux: character comparisons

include dstd
include dmetac

integer*4 function ctoi(in, i)
integer i
character in(ARB)

intfunc strchr

    integer d
    string digits "0123456789"

    # Skip over leading white space
    while (in(i) == BLANK | in(i) == HT)
	i = i + 1

    for (ctoi = 0; in(i) ^= EOS; i = i + 1) {
	d = strchr(digits, in(i))
	if (d == 0)		# non digit
	    break
	ctoi = 10 * ctoi + d - 1
	}

    return
    end 	# of ctoi
