# getlin - get next line from input file.
#
# Copyright (c) 1987 by Michael J. Harrison

include dstd

integer function getlin(str, fileid)
character str(ARB)  # str supplied by caller (must be long enough)
integer fileid	    # file i/d

intfunc getch

    integer i, ic
    character c

    i = 1
    ic = getch(c, fileid)
    while (ic ^= NEWLINE & ic ^= EOF)
	{
	str(i) = c
	i = i + 1
	ic = getch(c, fileid)
	}

    if (i == 1 & ic == EOF)
	getlin = EOF
    else
	{
	str(i) = NEWLINE
	getlin = i
	}
    str(i+1) = EOS

    return
    end
