# putlin -- output line on file having file i/d fileid
#	 line must be a string terminated by EOS
#
# Copyright (c) 1988 by Michael J. Harrison
#
# Revised MJH,  9-Sep-88: Mask int to 8 bits for INTEGER*1 chars
# M.J.Harrison 10-Apr-98: For Linux

include dmach
include dstd

subroutine putlin(line, fileid)
character line(ARB)
integer fileid

subrtn putch

    integer i, ic

    for (i = 1; line(i) ^= EOS; i = i + 1) {
	ic = line(i)		# Ensure integer
	ic = IAND(ic, BYTEMASK)	# Nullify any sign extension
	call putch(ic, fileid)
    }

    return
    end
