# rfmkfn - make filename. Strip quotes, append qualifier.  **8086 MS-DOS**
#
# Copyright (c) 1988 by Michael J. Harrison
#
# Revised MJH, 21-Dec-85: Append qualifier (extension) only if one not
#			    already supplied with input name
# Revised MJH, 11-Jan-87: Use new str... functions
# Revised MJH,  8-Sep-88: New FILSEP usage
# M.J.Harrison  3-Apr-98: Linux: character comparisons

include dmach
include dstd
include dmetac

subroutine rfmkfn(shrtnm, fqual, fullnm)
character shrtnm(ARB), fqual(ARB), fullnm(ARB)

intfunc strcpy

    integer i, j, junk
    logical hasext

    hasext = NO
    j = 1
    for (i = 1; shrtnm(i) ^= EOS; i = i + 1) {
	if (shrtnm(i) ^= SQUOTE & shrtnm(i) ^= DQUOTE) {
	    if (shrtnm(i) == FILSEP)
		hasext = YES
	    fullnm(j) = shrtnm(i)
	    j = j + 1
	    }
	}

    if (hasext)
	fullnm(j) = EOS
    else {
	fullnm(j) = FILSEP
	j = j + 1
	junk = strcpy(fullnm(j), fqual)
	}

    return
    end 	# of rfmkfn
